#pragma once

namespace Feather
{
    enum class ServerboundHandholdingPacketId : int32_t
    {
        Handshake = 0,
    };

    enum class ServerboundStatusPacketId : int32_t
    {
        Request = 0,
        Ping = 1
    };

    enum class ClientBoundStatusPacketId : int32_t
    {
        Response = 0,
        Pong = 1
    };

    enum class ServerboundLoginPacketId : int32_t
    {
        LoginStart = 0,
        EncryptionResponse = 1,
        LoginPluginResponse = 2
    };

    enum class ClientboundLoginPacketId : int32_t
    {
        Disconnect = 0,
        EncryptionRequest = 1,
        LoginSuccess = 2,
        SetCompression = 3,
        LoginPluginRequest = 4
    };

    constexpr uint8_t LegacyServerListPing = 0xFE;
}
