#pragma once

#include <iostream>
#include <string>
#include <string_view>
#include <unordered_map>

using std::string;
using std::string_view;
using std::unordered_map;

namespace Feather
{
    class Properties
    {
    public:
        template <typename T> T Get(string_view key);
    protected:
        unordered_map<string, string> properties;
    };
}
