#pragma once

#include "../Common.h"
#include "TCPCommon.h"

namespace Feather::Network
{
    class abstract IListenerInterface
    {
    public:
        virtual void OnClientConnect(TCPClientHandle&& client) = 0;
        virtual void OnClientDisconnect(const TCPClient* client) = 0;
    };
}
